Форум русскоязычного сообщества Ubuntu


Хотите сделать посильный вклад в развитие Ubuntu и русскоязычного сообщества?
Помогите нам с документацией!

Автор Тема: Адаптеры WIFi не найдены [Решено]  (Прочитано 510 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн kirillkre

  • Автор темы
  • Новичок
  • *
  • Сообщений: 28
    • Просмотр профиля
Адаптеры WIFi не найдены [Решено]
« : 24 Апрель 2020, 10:19:04 »
Пропала возможность подключаться к вай-фаю. Пишет "Адаптеры WI-FI не найдены. Что делать?
« Последнее редактирование: 17 Июнь 2020, 08:53:44 от zg_nico »

Оффлайн andytux

  • Старожил
  • *
  • Сообщений: 4444
    • Просмотр профиля
Re: Адаптеры WIFi не найдены
« Ответ #1 : 24 Апрель 2020, 10:27:06 »
Цитировать
Что делать?
Вернуться в прошлое, когда они еще не пропали. Может там найдешь причины пропадания.

Оффлайн zg_nico

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 3513
  • Nil mortalibus arduum est
    • Просмотр профиля
Re: Адаптеры WIFi не найдены
« Ответ #2 : 24 Апрель 2020, 11:13:39 »
kirillkre, после чего это произошло? Ядро обновили? Что-то установили? Вспоминайте, что именно сделали. Для того, чтобы подсказать Вам решение крайне мало входных данных. Если так ничего и не вспомните из своих действий - показывайте выводы команд:/bin/bash -c '[ -d /sys/firmware/efi ] && bootctl status || echo "Installed in Legacy mode"'
uname -r
linux-version list
cat /etc/issue.net /proc/cmdline
dmesg | egrep -i "(error|fail|warning)"
lspci -knn | grep Net -A3
lshw -C network
ubuntu-drivers devices
rfkill list
Почему так много: Вы могли обновить ядро (при проблемных адаптерах это вызывает необходимость не некоторых конфигурациях повторной установки соответствующего модуля ядра), Вы могли случайно нажать хардварную комбинацию клавиш, предназначенную для отключения адаптера на аппаратном уровне, Вы могли сбросить/изменить настройки BIOS (аналогично предудыщему раскладу - для ОС адаптер станет недоступен)... Словом, по вышеобозначенным выводам команд можно будет примерно понять что у Вас в системе происходит и попытаться угадать почему адаптеры не найдены.
(Нажмите, чтобы показать/скрыть)
Thunderobot G150-D2: Intel SkyLake Core i7-6700HQ 2.60GHz, 8Gb DDR4 2133 MHz, Intel HD530, NVidia GeForce GTX 960M 2Gb.  Ubuntu 16.04 64x [Unity], KUbuntu 18.04 64x.

Оффлайн kirillkre

  • Автор темы
  • Новичок
  • *
  • Сообщений: 28
    • Просмотр профиля
Re: Адаптеры WIFi не найдены
« Ответ #3 : 28 Апрель 2020, 15:23:19 »
/bin/bash -c '[ -d /sys/firmware/efi ] && bootctl status || echo "Installed in Legacy mode"'
System:
     Firmware: n/a (n/a)
  Secure Boot: disabled
   Setup Mode: user

Current Loader:
      Product: n/a
          ESP: n/a
         File: └─n/a

Boot Loader Entries in EFI Variables:
        Title: Windows Boot Manager
           ID: 0x0000
       Status: active, boot-order
    Partition: /dev/disk/by-partuuid/31324e24-5db1-410b-8964-689b2bef9df9
         File: └─/EFI/Microsoft/Boot/bootmgfw.efi

        Title: ubuntu
           ID: 0x0003
       Status: active, boot-order
    Partition: /dev/disk/by-partuuid/31324e24-5db1-410b-8964-689b2bef9df9
         File: └─/EFI/ubuntu/shimx64.efi
uname -r
5.3.0-26-generic
linux-version list
5.0.0-36-generic
5.0.0-37-generic
5.3.0-26-generic
cat /etc/issue.net /proc/cmdline
Ubuntu 18.04.2 LTS
BOOT_IMAGE=/boot/vmlinuz-5.3.0-26-generic root=UUID=4575829d-373e-487d-a0e3-d189565a4a1e ro quiet splash vt.handoff=1
dmesg | egrep -i "(error|fail|warning)"
[    0.589406] ACPI BIOS Error (bug): Could not resolve symbol [\_SB.WLBU._STA.WLVD], AE_NOT_FOUND (20190703/psargs-330)
[    0.589425] ACPI Error: Aborting method \_SB.WLBU._STA due to previous error (AE_NOT_FOUND) (20190703/psparse-531)
[    0.669146] ACPI BIOS Error (bug): Could not resolve symbol [\_SB.WLBU._STA.WLVD], AE_NOT_FOUND (20190703/psargs-330)
[    0.669164] ACPI Error: Aborting method \_SB.WLBU._STA due to previous error (AE_NOT_FOUND) (20190703/psparse-531)
[    0.756427] ACPI BIOS Error (bug): Could not resolve symbol [\_SB.WLBU._STA.WLVD], AE_NOT_FOUND (20190703/psargs-330)
[    0.756444] ACPI Error: Aborting method \_SB.WLBU._STA due to previous error (AE_NOT_FOUND) (20190703/psparse-531)
[    1.684888] tpm_crb: probe of MSFT0101:00 failed with error -16
[    1.791005] RAS: Correctable Errors collector initialized.
[    2.379008] kfd kfd: error getting iommu info. is the iommu enabled?
[    2.379014] kfd kfd: Error initializing iommuv2
[    2.379131] kfd kfd: device 1002:9874 NOT added due to errors
[   17.209216] EXT4-fs (sda6): re-mounted. Opts: errors=remount-ro
[   23.611564] hp_wmi: query 0xd returned error 0x5
[ 5702.634695] m[5061]: segfault at 7ffe73cb8d28 ip 000055c933140ed3 sp 00007ffe73cb8d30 error 6 in m[55c933140000+2000]
[ 5737.241561] m[5080]: segfault at 7ffe9c533b28 ip 000055a74666aed3 sp 00007ffe9c533b30 error 6 in m[55a74666a000+2000]
[ 5742.540967] m[5091]: segfault at 7ffda25bce28 ip 0000559f532f2ed3 sp 00007ffda25bce30 error 6 in m[559f532f2000+2000]
[ 5956.369777] m[5176]: segfault at 7fffa6620288 ip 00005585737aaefc sp 00007fffa6620290 error 6 in m[5585737aa000+2000]
[ 5960.000808] m[5186]: segfault at 7ffc9dffa878 ip 000055e5418aeefc sp 00007ffc9dffa880 error 6 in m[55e5418ae000+2000]
[ 5989.712178] m[5207]: segfault at 7ffed4b2c7b8 ip 000055cf8bb84f9c sp 00007ffed4b2c7c0 error 6 in m[55cf8bb84000+2000]
[ 6006.789853] m[5215]: segfault at 7fffbcddfe78 ip 000055cef0623fbc sp 00007fffbcddfe80 error 6 in m[55cef0623000+2000]
[ 6016.063003] m[5222]: segfault at 7ffdfda52768 ip 00005597da1f1fbc sp 00007ffdfda52770 error 6 in m[5597da1f1000+2000]
[ 6661.877818] m[5367]: segfault at 7ffef84326f8 ip 0000555cb1819ff3 sp 00007ffef8432700 error 6 in m[555cb1819000+2000]
[ 7339.877617] m[5552]: segfault at 4 ip 00007fac4bb30c12 sp 00007ffd982f2750 error 6 in libc-2.27.so[7fac4ba51000+1e7000]
[ 7447.973437] m[5591]: segfault at 4 ip 00007f9b22898c12 sp 00007ffeab83c320 error 6 in libc-2.27.so[7f9b227b9000+1e7000]
[ 7449.930788] m[5598]: segfault at 4 ip 00007f6d11cb8c12 sp 00007fffd567f250 error 6 in libc-2.27.so[7f6d11bd9000+1e7000]
[ 7512.613941] m[5618]: segfault at 4 ip 00007fc610ec8c12 sp 00007ffd4f222c80 error 6 in libc-2.27.so[7fc610de9000+1e7000]
[ 7626.684947] m[5684]: segfault at 4 ip 00007f51d0b20c12 sp 00007ffcbc601eb0 error 6 in libc-2.27.so[7f51d0a41000+1e7000]
[ 7634.060939] m[5692]: segfault at 4 ip 00007f105dfc8c12 sp 00007ffd9f1bedc0 error 6 in libc-2.27.so[7f105dee9000+1e7000]
[ 7635.771589] m[5699]: segfault at 4 ip 00007fe1df400c12 sp 00007ffd54e2b850 error 6 in libc-2.27.so[7fe1df321000+1e7000]
[ 7660.431880] m[5714]: segfault at 4 ip 00007f94f7580c12 sp 00007ffccfdcf8a0 error 6 in libc-2.27.so[7f94f74a1000+1e7000]
[ 7672.513362] m[5723]: segfault at 4 ip 00007f7a86620c12 sp 00007ffe29d66c30 error 6 in libc-2.27.so[7f7a86541000+1e7000]
[ 7684.128241] m[5731]: segfault at 4 ip 00007f02a0788c12 sp 00007ffc1d5770c0 error 6 in libc-2.27.so[7f02a06a9000+1e7000]
[ 7690.651466] m[5740]: segfault at 4 ip 00007fdd97e30c12 sp 00007ffd775ba840 error 6 in libc-2.27.so[7fdd97d51000+1e7000]
[ 7699.872176] m[5749]: segfault at 4 ip 00007f2190970c12 sp 00007ffea6eaaac0 error 6 in libc-2.27.so[7f2190891000+1e7000]
[ 7706.011970] m[5757]: segfault at 4 ip 00007fed0c900c12 sp 00007ffd5a95ee80 error 6 in libc-2.27.so[7fed0c821000+1e7000]
[ 7711.621822] m[5767]: segfault at 4 ip 00007f8d37500c12 sp 00007ffcfc0b4bd0 error 6 in libc-2.27.so[7f8d37421000+1e7000]
[ 7723.086527] m[5777]: segfault at 4 ip 00007f8a20928c12 sp 00007ffd5d583250 error 6 in libc-2.27.so[7f8a20849000+1e7000]
[ 7732.279677] m[5787]: segfault at 4 ip 00007f3849d80c12 sp 00007ffc6984c8f0 error 6 in libc-2.27.so[7f3849ca1000+1e7000]
[ 7742.473020] m[5796]: segfault at 4 ip 00007fc1e5600c12 sp 00007ffd9a6d2380 error 6 in libc-2.27.so[7fc1e5521000+1e7000]
[ 7809.154424] m[5811]: segfault at 4 ip 00007fc3910d8c12 sp 00007fffe2256ed0 error 6 in libc-2.27.so[7fc390ff9000+1e7000]
[ 7818.931104] m[5819]: segfault at 4 ip 00007f61c9300c12 sp 00007ffc7a39c370 error 6 in libc-2.27.so[7f61c9221000+1e7000]
[ 9592.651782] m[6199]: segfault at 4 ip 00007fb8fc9c8c12 sp 00007ffca0a301c0 error 6 in libc-2.27.so[7fb8fc8e9000+1e7000]
[ 9714.098077] m[6237]: segfault at 4 ip 00007f6f79038c12 sp 00007ffe10c41ea0 error 6 in libc-2.27.so[7f6f78f59000+1e7000]
[ 9757.160620] m[6252]: segfault at 4 ip 00007fa269548c12 sp 00007ffdd121a2d0 error 6 in libc-2.27.so[7fa269469000+1e7000]
[12077.239825] m[7334]: segfault at 6164 ip 00007fac59b0a143 sp 00007fff459e2458 error 4 in libc-2.27.so[7fac59a59000+1e7000]
[12084.303601] m[7346]: segfault at 61 ip 00007fb0e3a0a143 sp 00007ffda5db2078 error 4 in libc-2.27.so[7fb0e3959000+1e7000]
lspci -knn | grep Net -A3
02:00.0 Network controller [0280]: Realtek Semiconductor Co., Ltd. Device [10ec:d723]
Subsystem: Hewlett-Packard Company Device [103c:8319]
05:00.0 Display controller [0380]: Advanced Micro Devices, Inc. [AMD/ATI] Topaz XT [Radeon R7 M260/M265 / M340/M360 / M440/M445] [1002:6900] (rev 83)
Subsystem: Hewlett-Packard Company Topaz XT [Radeon R7 M260/M265 / M340/M360 / M440/M445] [103c:8333]
lshw -C network
Subsystem: Hewlett-Packard Company Device [103c:8319]
05:00.0 Display controller [0380]: Advanced Micro Devices, Inc. [AMD/ATI] Topaz XT [Radeon R7 M260/M265 / M340/M360 / M440/M445] [1002:6900] (rev 83)
Subsystem: Hewlett-Packard Company Topaz XT [Radeon R7 M260/M265 / M340/M360 / M440/M445] [103c:8333]
ubuntu-drivers devices   - ничего не выводит
rfkill list
3: hci0: Bluetooth
Soft blocked: no
Hard blocked: no

Оффлайн zg_nico

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 3513
  • Nil mortalibus arduum est
    • Просмотр профиля
Re: Адаптеры WIFi не найдены
« Ответ #4 : 28 Апрель 2020, 20:26:41 »
lspci -knn | grep Net -A3
Вы уверены, что корректно дали вывод этой команды? Я чего-то не наблюдаю сообщений об используемом модуле ядра в выводе, хотя они должны бы быть :-/
Вроде как вот аналогичная тема, и, насколько я понимаю, Вам драйвер из исходников собирать надо.
Thunderobot G150-D2: Intel SkyLake Core i7-6700HQ 2.60GHz, 8Gb DDR4 2133 MHz, Intel HD530, NVidia GeForce GTX 960M 2Gb.  Ubuntu 16.04 64x [Unity], KUbuntu 18.04 64x.

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 13695
  • Xubuntu 18.04
    • Просмотр профиля
Re: Адаптеры WIFi не найдены
« Ответ #5 : 28 Апрель 2020, 20:31:45 »
Вы уверены, что корректно дали вывод этой команды?
Все там корректно. Надо rtlwifi_new поставить правильно с dkms. Нет для этого адаптера модуля в ядре, пока не поставишь.


Пользователь добавил сообщение 28 Апрель 2020, 20:34:12:
Вот так это делается

sudo apt install git dkms
git clone -b extended https://github.com/lwfinger/rtlwifi_new.git
sudo dkms add rtlwifi_new
sudo dkms install rtlwifi-new/0.6
« Последнее редактирование: 28 Апрель 2020, 20:34:12 от Pilot6 »
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн kirillkre

  • Автор темы
  • Новичок
  • *
  • Сообщений: 28
    • Просмотр профиля
Re: Адаптеры WIFi не найдены
« Ответ #6 : 29 Апрель 2020, 10:38:02 »
Код: (bash) [Выделить]
sudo apt install git dkmsЧтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Уже установлен пакет dkms самой новой версии (2.3-3ubuntu9.7).
Следующие пакеты устанавливались автоматически и больше не требуются:
  linux-headers-5.0.0-36 linux-headers-5.0.0-36-generic
  linux-image-5.0.0-36-generic linux-modules-5.0.0-36-generic
  linux-modules-extra-5.0.0-36-generic
Для их удаления используйте «sudo apt autoremove».
Предлагаемые пакеты:
  git-daemon-run | git-daemon-sysvinit git-doc git-el git-email git-gui gitk
  gitweb git-cvs git-mediawiki git-svn
Следующие пакеты будут обновлены:
  git
Обновлено 1 пакетов, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 387 пакетов не обновлено.
Необходимо скачать 3 915 kB архивов.
После данной операции объём занятого дискового пространства возрастёт на 16,4 kB.
Хотите продолжить? [Д/н]
Пол:1 http://ru.archive.ubuntu.com/ubuntu bionic-updates/main amd64 git amd64 1:2.17.1-1ubuntu0.7 [3 915 kB]
Получено 3 915 kB за 2с (1 621 kB/s)             
(Чтение базы данных … на данный момент установлено 230767 файлов и каталогов.)
Подготовка к распаковке …/git_1%3a2.17.1-1ubuntu0.7_amd64.deb …
Распаковывается git (1:2.17.1-1ubuntu0.7) на замену (1:2.17.1-1ubuntu0.5) …
Настраивается пакет git (1:2.17.1-1ubuntu0.7) …
Код: (bash) [Выделить]
git clone -b extended https://github.com/lwfinger/rtlwifi_new.gitfatal: целевой путь «rtlwifi_new» уже существует и не является пустым каталогом.
Код: (bash) [Выделить]
sudo dkms add rtlwifi_newError! DKMS tree already contains: rtlwifi-new-0.6
You cannot add the same module/version combo more than once.
Код: (bash) [Выделить]
sudo dkms install rtlwifi-new/0.6Kernel preparation unnecessary for this kernel.  Skipping...

Building module:
cleaning build area.....(bad exit status: 2)
make -j4 KERNELRELEASE=5.3.0-26-generic -C /lib/modules/5.3.0-26-generic/build M=/var/lib/dkms/rtlwifi-new/0.6/build...............................(bad exit status: 2)
ERROR (dkms apport): binary package for rtlwifi-new: 0.6 not found
Error! Bad return status for module build on kernel: 5.3.0-26-generic (x86_64)
Consult /var/lib/dkms/rtlwifi-new/0.6/build/make.log for more information.
« Последнее редактирование: 29 Апрель 2020, 10:44:04 от Azure »

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 13695
  • Xubuntu 18.04
    • Просмотр профиля
Re: Адаптеры WIFi не найдены
« Ответ #7 : 29 Апрель 2020, 15:45:34 »
kirillkre,
Зачем же тупо выполнять команды, если уже со второй пошли ошибки? Вы видимо уже ставили когда-то этот драйвер. Но по всей видимости старый.

Теперь всё удалить надо так.

sudo dkms remove rtlwifi-new/0.6 --all
sudo rm -r rtlwifi_new

И сделать всё сначала. Самую первую команду sudo apt install можно не делать.
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн kirillkre

  • Автор темы
  • Новичок
  • *
  • Сообщений: 28
    • Просмотр профиля
Re: Адаптеры WIFi не найдены
« Ответ #8 : 05 Май 2020, 15:54:47 »
Теперь всё удалить надо
...
сделать всё сначала. Самую первую команду sudo apt install можно не делать.
Код: (bash) [Выделить]
sudo dkms remove rtlwifi-new/0.6 --all-------- Uninstall Beginning --------
Module:  rtlwifi-new
Version: 0.6
Kernel:  5.0.0-36-generic (x86_64)
-------------------------------------
Status: Before uninstall, this module version was ACTIVE on this kernel.
rtl_pci.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-36-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
rtl_usb.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-36-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
rtlwifi.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-36-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
btcoexist.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-36-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
halmac.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-36-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
phydm_mod.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-36-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
rtl8188ee.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-36-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
rtl8192c-common.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-36-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
rtl8192ce.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-36-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
rtl8192cu.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-36-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
rtl8192de.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-36-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
rtl8192ee.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-36-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
rtl8192se.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-36-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
rtl8723ae.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-36-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
rtl8723be.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-36-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
rtl8723de.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-36-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
rtl8723-common.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-36-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
rtl8821ae.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-36-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
rtl8822be.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-36-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
depmod......
DKMS: uninstall completed.
-------- Uninstall Beginning --------
Module:  rtlwifi-new
Version: 0.6
Kernel:  5.0.0-37-generic (x86_64)
-------------------------------------
Status: Before uninstall, this module version was ACTIVE on this kernel.
rtl_pci.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-37-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
rtl_usb.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-37-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
rtlwifi.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-37-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
btcoexist.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-37-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
halmac.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-37-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
phydm_mod.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-37-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
rtl8188ee.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-37-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
rtl8192c-common.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-37-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
rtl8192ce.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-37-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
rtl8192cu.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-37-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
rtl8192de.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-37-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
rtl8192ee.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-37-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
rtl8192se.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-37-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
rtl8723ae.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-37-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
rtl8723be.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-37-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
rtl8723de.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-37-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
rtl8723-common.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-37-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
rtl8821ae.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-37-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
rtl8822be.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.0.0-37-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
depmod......
DKMS: uninstall completed.
------------------------------
Deleting module version: 0.6
completely from the DKMS tree.
------------------------------
Done.
Код: (bash) [Выделить]
sudo rm -r rtlwifi_new
git clone -b extended https://github.com/lwfinger/rtlwifi_new.git
Клонирование в «rtlwifi_new»…
remote: Enumerating objects: 35, done.
remote: Counting objects: 100% (35/35), done.
remote: Compressing objects: 100% (27/27), done.
remote: Total 6526 (delta 17), reused 23 (delta 8), pack-reused 6491
Получение объектов: 100% (6526/6526), 15.82 MiB | 471.00 KiB/s, готово.
Определение изменений: 100% (5246/5246), готово.
Код: (bash) [Выделить]
sudo dkms add rtlwifi_newCreating symlink /var/lib/dkms/rtlwifi-new/0.6/source ->
                 /usr/src/rtlwifi-new-0.6
DKMS: add completed.
Код: (bash) [Выделить]
sudo dkms install rtlwifi-new/0.6Kernel preparation unnecessary for this kernel.  Skipping...
Building module:
cleaning build area......(bad exit status: 2)
make -j4 KERNELRELEASE=5.3.0-26-generic -C /lib/modules/5.3.0-26-generic/build M=/var/lib/dkms/rtlwifi-new/0.6/build..............................(bad exit status: 2)
ERROR (dkms apport): binary package for rtlwifi-new: 0.6 not found
Error! Bad return status for module build on kernel: 5.3.0-26-generic (x86_64)
Consult /var/lib/dkms/rtlwifi-new/0.6/build/make.log for more information.
(Нажмите, чтобы показать/скрыть)
« Последнее редактирование: 06 Май 2020, 15:04:18 от zg_nico »

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 13695
  • Xubuntu 18.04
    • Просмотр профиля
Re: Адаптеры WIFi не найдены
« Ответ #9 : 06 Май 2020, 13:52:39 »
kirillkre,
Понятно. С этим драйвером что-то не то стало на новых ядрах.

Давайте другой поставим.

sudo dkms remove rtlwifi-new/0.6 --all
git clone https://github.com/smlinux/rtl8723de.git -b current
sudo dkms add ./rtl8723de
sudo dkms install rtl8723de/5.1.1.8_21285.20171026_COEX20170111-1414
sudo depmod -a
sudo reboot
Я в личке не консультирую. Вопросы задавайте на форуме.

 

Страница сгенерирована за 0.075 секунд. Запросов: 25.